## openalsrc openalsrc |

## Synopsis

    struct              GstOpenalSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstAudioBaseSrc
                                           +----GstAudioSrc
                                                 +----GstOpenalSrc

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read

## Description

## Synopsis

### Element Information

plugin | openal
author | Juan Manuel Borges Caño <juanmabcmail@gmail.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)1
| audio/x-raw, format=(string)U8, rate=(int)[ 1, 2147483647 ], channels=(int)1

## Details

### struct GstOpenalSrc

    struct GstOpenalSrc;

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

User device, default device if NULL.

Default value: NULL

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the device.

Default value: NULL